Error with pastebin.com: "THIS API HAS BEEN DISABLED. Please use Pastebin's new API. http://pastebin.com/api"

Bug #996242 reported by Daniel Hahler on 2012-05-07
72
This bug affects 12 people
Affects Status Importance Assigned to Milestone
pastebinit
Medium
Unassigned
pastebinit (Debian)
Fix Released
Unknown
pastebinit (Ubuntu)
Medium
Unassigned
Hardy
Undecided
Unassigned
Lucid
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

When trying to use pastebin.com, I get the following error:

    THIS API HAS BEEN DISABLED. Please use Pastebin's new API. http://pastebin.com/api

% cat ~/.pastebinit.xml
<pastebinit>
  <pastebin>http://pastebin.com</pastebin>
  <format>text</format>
</pastebinit>
% pastebinit
foo
THIS API HAS BEEN DISABLED. Please use Pastebin's new API. http://pastebin.com/api

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: pastebinit 1.3-2ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-24.38-generic-pae 3.2.16
Uname: Linux 3.2.0-24-generic-pae i686
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
Date: Tue May 8 01:07:28 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
PackageArchitecture: all
SourcePackage: pastebinit
UpgradeStatus: Upgraded to precise on 2011-12-16 (143 days ago)

----

[rational]
pastebin.com is one of the most used pastebins and is the default for a few Ubuntu releases.
Since pastebin.com deprecated the old public API, pastebin simply fails to paste anything. This change is required to change the configuration to work with the new API.

[test case]
1) Install pastebinit
2) pastebinit -b http://pastebin.com /usr/bin/pastebinit

Step 2) without the SRU will return
"THIS API HAS BEEN DISABLED. Please use Pastebin's new API. http://pastebin.com/api"
After the SRU, an URL will be returned as expected.

[regression potential]
The change is self contained and only affects pastebin.com, as it currently simply doesn't work at all, it can't get much worse.

Daniel Hahler (blueyed) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pastebinit (Ubuntu):
status: New → Confirmed
Rolf Leggewie (r0lf) on 2012-05-08
Changed in pastebinit:
importance: Undecided → Medium
status: New → Triaged
Changed in pastebinit (Ubuntu):
importance: Undecided → Medium
Mike Mestnik (cheako) wrote :

Looking at that page, I'm not sure how one would satisfy there new API in a foss project. Perhaps one might have users put in there own Developer Key. If some one were to publish there key then what's to stop every one from using it?

It might be funny to brute-force a key and then use that, but I think Pastebin would rather we make every user set this... Thus defeating the purpose, I believe.

Changed in pastebinit (Debian):
status: Unknown → New
Stéphane Graber (stgraber) wrote :

Do they explicitly forbid you from sharing the developer key? I couldn't see any reference to that on /api

Anyway, below is a working pastebin profile, you just need to fill the developer key. If we're somehow allowed to ship the developer key, then I'll just add mine and commit the new profile to bzr:

[pastebin]
basename = pastebin.com
regexp = "http://((([a-zA-Z0-9\-_\.]*)(pastebin\.com)))"

[format]
content = api_paste_code
user = api_paste_name
subdomain = api_paste_subdomain
private = api_paste_private
expiry = api_paste_expire_date
format = api_paste_format
email = api_paste_email
page = page
submit = submit
regexp = regexp
api_dev_key = api_dev_key
api_option = api_option

[defaults]
submit = submit
format = text
private = 0
expiry = 1M
subdomain = ""
email = ""
api_dev_key = API-KEY-HERE
api_option = paste
page = "/api/api_post.php"
regexp = "(.*)"

Changed in pastebinit (Debian):
status: New → Confirmed
Daniel Hahler (blueyed) wrote :

Has anybody contacted pastebin.com about this issue yet?

The FAQ at least says:
"Yes, we have got an API available, but we do require you to be a member of the website to access it. "
(http://pastebin.com/faq#6)

Maybe it is worth to release a new version fixing the issue by changing the default pastebin in order to enhance the user experience?

2 cents from the archlinux packager.

Michael Jeanson (mjeanson) wrote :

Could we set http://paste.ubuntu.com as the default? Or is there a more popular pastebin alternative?

Stéphane Graber (stgraber) wrote :

I have contacted pastebin.com and the developer key can be shared without any problem.

I'll be updating trunk with a new pastebin.com profile using my developer key and release a bugfix version.

I'll also take care of doing the required SRUs in Ubuntu.

Changed in pastebinit:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pastebinit - 1.3-2ubuntu3

---------------
pastebinit (1.3-2ubuntu3) quantal; urgency=low

  * Cherry-pick new pastebin.com.conf file from pastebinit 1.3.1,
    this switches to the new pastebin.com API (now mandatory) (LP: #996242)
 -- Stephane Graber <email address hidden> Wed, 30 May 2012 09:54:17 -0400

Changed in pastebinit (Ubuntu Quantal):
status: Confirmed → Fix Released
Changed in pastebinit (Ubuntu Precise):
status: New → In Progress
Changed in pastebinit (Ubuntu Oneiric):
status: New → In Progress
Changed in pastebinit (Ubuntu Natty):
status: New → In Progress
Changed in pastebinit (Ubuntu Lucid):
status: New → In Progress
description: updated

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 28.05.2012 23:22, Michael Jeanson wrote:
> Could we set http://paste.ubuntu.com as the default? Or is there a
> more popular pastebin alternative?
>

Paste.ubuntu.com is good default as this is Ubuntu, but
paste.debian.net is also nice.

- --
[Mika Suomalainen](https://mkaysi.github.com/) ||
[gpg --keyserver pool.sks-keyservers.net --recv-keys
4DB53CFE82A46728](http://mkaysi.github.com/PGP/key.txt) ||
[Why do I sign my
emails?](http://mkaysi.github.com/PGP/WhyDoISignEmails.html) ||
[Please don't send
HTML.](http://mkaysi.github.com/articles/complaining/HTML.html) ||
[Please don't
toppost](http://mkaysi.github.com/articles/complaining/topposting.html) ||

[This signature](https://gist.github.com/2643070) ||
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPxjHEAAoJEE21PP6CpGcoR00P/2pdLyr9fbgmCoXLtDTLzHbU
nwU0Of1qbXPhR08cASoX8IugIiXkWyT/oo2GyMBlIXDDuD/jGsN8IBpCZuCquBS/
v8NjdlWrxw97VHTgPHBZQBBdaLF8sGwqQdnIkg4Z+0nI4RaKIUaKpG8ABvlQuGC0
arYrk7XUYx7QxMH5E/zbfkDx6CdCI0p8ROcy1biUwsiJpS58IFeRY3TiLKeDrdAq
XLiqYW2rbUg1CVeZk2p2aOT1rWuzjgFcfnCmso2H/elw+s0dRz902OQ/khtA6nVk
jgZG6KqjWx/XmveTKYQbCyE5BHx7mUqThpXByqCdqnvChvbYSwhAZ6gXAxszOiCp
RiNcWNQPC82EjvigQLTmuwP7JUKYInFAvCY8lnD2DVB2QMhmd+G4v8yoTToUSF9U
FLKfuG9cq8cHIJVY9iKDnT4/XTHb38vnDATmygQavFntUiWgBqz3Ot/D7tRNCLX+
jZ1y6OExJ7QPdnqo8YOdB5cLPZFfs3wyhQBx3dcwoJz4/MST2hJzwukMmJIZt07X
xSrDS+yP/r4ApU2yyE8C94F4nJnIXSUXSD1pzkxLFrE8mFk9RESPdeNk5YIyOJeS
tjmI/YkUzVvc5PM+19iHL+6RTflMJVjr/nJkFJ3nxkSKqI3aEuaAyvLLXXGZ97/T
dikqILKdbOCpC6xmmc8C
=oR8v
-----END PGP SIGNATURE-----

Stéphane Graber (stgraber) wrote :

Uploaded to all supported versions of Ubuntu, waiting for it to land in -proposed.

Changed in pastebinit (Ubuntu Hardy):
status: New → In Progress

Hello Daniel, or anyone else affected,

Accepted pastebinit into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pastebinit (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Clint Byrum (clint-fewbar) wrote :

Hello Daniel, or anyone else affected,

Accepted pastebinit into oneiric-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pastebinit (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in pastebinit (Ubuntu Natty):
status: In Progress → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Hello Daniel, or anyone else affected,

Accepted pastebinit into natty-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pastebinit (Ubuntu Lucid):
status: In Progress → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Hello Daniel, or anyone else affected,

Accepted pastebinit into lucid-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pastebinit (Ubuntu Hardy):
status: In Progress → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Hello Daniel, or anyone else affected,

Accepted pastebinit into hardy-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Daniel Hahler (blueyed) wrote :

I have verified that it works in Ubuntu Precise, when using "pastebinit -b http://pastebin.com" and no ~/.pastebinit.xml file.

tags: added: verification-done-precise
tags: added: verification-done-hardy
tags: added: verification-done-lucid
Stéphane Graber (stgraber) wrote :

Ran the same test on hardy, lucid, natty and oneiric, worked on all of them.

tags: added: verification-done verification-done-natty verification-done-oneiric
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pastebinit - 0.9-0ubuntu1.1

---------------
pastebinit (0.9-0ubuntu1.1) hardy-proposed; urgency=low

  * Cherry-pick new pastebin.com.conf file from pastebinit 1.3.1 and
    convert it to the equivalent old-style in code config, also port
    another reLink handling from current pastebinit so that regexp matching
    works in 0.9.
    This switches to the new pastebin.com API (now mandatory) (LP: #996242)
 -- Stephane Graber <email address hidden> Wed, 30 May 2012 10:33:50 -0400

Changed in pastebinit (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pastebinit - 1.1-1ubuntu0.1

---------------
pastebinit (1.1-1ubuntu0.1) lucid-proposed; urgency=low

  * Cherry-pick new pastebin.com.conf file from pastebinit 1.3.1,
    this switches to the new pastebin.com API (now mandatory) (LP: #996242)
 -- Stephane Graber <email address hidden> Wed, 30 May 2012 10:14:06 -0400

Changed in pastebinit (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pastebinit - 1.2-2ubuntu0.11.04.1

---------------
pastebinit (1.2-2ubuntu0.11.04.1) natty-proposed; urgency=low

  * Cherry-pick new pastebin.com.conf file from pastebinit 1.3.1,
    this switches to the new pastebin.com API (now mandatory) (LP: #996242)
 -- Stephane Graber <email address hidden> Wed, 30 May 2012 10:07:21 -0400

Changed in pastebinit (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pastebinit - 1.2-2ubuntu0.11.10.1

---------------
pastebinit (1.2-2ubuntu0.11.10.1) oneiric-proposed; urgency=low

  * Cherry-pick new pastebin.com.conf file from pastebinit 1.3.1,
    this switches to the new pastebin.com API (now mandatory) (LP: #996242)
 -- Stephane Graber <email address hidden> Wed, 30 May 2012 10:07:21 -0400

Changed in pastebinit (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pastebinit - 1.3-2ubuntu2.1

---------------
pastebinit (1.3-2ubuntu2.1) precise-proposed; urgency=low

  * Cherry-pick new pastebin.com.conf file from pastebinit 1.3.1,
    this switches to the new pastebin.com API (now mandatory) (LP: #996242)
 -- Stephane Graber <email address hidden> Wed, 30 May 2012 09:54:17 -0400

Changed in pastebinit (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in pastebinit (Debian):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.